"use client";
import { Swiper, SwiperSlide } from "swiper/react";
import { Autoplay } from "swiper/modules";
import SectionWrapper from "./components/SectionWrapper";
import BestCommentCard from "@/components/common/cards/BestCommentCard";

const SimpleCommentsSection = ({ content }) => {
  return (

      <SectionWrapper content={content} className={"px-0 lg:px-[72px]"}>
        <div className="w-full  mt-4 md:mt-6 lg:mt-8 ">
          <Swiper
            id="comments-slider"
            slidesPerView={"auto"}
            spaceBetween={16}
            loop
            autoplay={{
              delay: 3000,
              disableOnInteraction: false,
            }}
            className="w-full overflow-hidden"
            modules={[Autoplay]}
          >
            {content?.list?.map((item, index) => (
              <SwiperSlide
                key={index.toString()}
                style={{ boxSizing: "border-box" }}
                className="p-2 w-full max-w-sm"
              >
                <BestCommentCard item={item} />
              </SwiperSlide>
            ))}
          </Swiper>
        </div>
      </SectionWrapper>
  );
};

export default SimpleCommentsSection;
